Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
QEMU doesńt supports QXL
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
viking71
n00b
n00b


Joined: 19 Feb 2018
Posts: 4
Location: FRankfurt

PostPosted: Mon Feb 19, 2018 9:43 am    Post subject: QEMU doesńt supports QXL Reply with quote

Hi all,.

i have an fresh installed GENTOO SYSTEM and installed "qemu", "virt-viewer", "libvirt" , "virt-viewer" an it . The kernel modul "kvm_intel" is loaded ..

During i start an vm during "virsh start <vm>" it sops with "QEMU does'nt support QXL"

How i can enable qxl support ?
Back to top
View user's profile Send private message
blopsalot
Apprentice
Apprentice


Joined: 28 Jan 2017
Posts: 231

PostPosted: Tue Feb 20, 2018 5:35 pm    Post subject: Reply with quote

make sure the user is in kvm group and I believe you have to enable "caps" use flag to use QXL.
Back to top
View user's profile Send private message
fturco
Veteran
Veteran


Joined: 08 Dec 2010
Posts: 1184
Location: Italy

PostPosted: Tue Feb 20, 2018 7:07 pm    Post subject: Reply with quote

@viking71: According to this it seems you need to build app-emulation/qemu with the "spice" USE flag. I haven't tested that personally anyway.
Back to top
View user's profile Send private message
blopsalot
Apprentice
Apprentice


Joined: 28 Jan 2017
Posts: 231

PostPosted: Wed Feb 21, 2018 2:20 pm    Post subject: Reply with quote

no spice is not required but it will make it alot faster.
Back to top
View user's profile Send private message
lexflex
Guru
Guru


Joined: 05 Mar 2006
Posts: 363
Location: the Netherlands

PostPosted: Thu Jun 25, 2020 9:32 am    Post subject: Reply with quote

fturco wrote:
According to this it seems you need to build app-emulation/qemu with the "spice" USE flag. I haven't tested that personally anyway.


I know this is an old post, but for the record: I ran into this same problem using qemu with virt-manager and trying to setup a VM:
Code:

Starting install...
ERROR    unsupported configuration: domain configuration does not support 'video model' value 'qxl'


For me, recompiling QEMU with the "spice" USE flag indeed solved this for me:
Code:

Starting install...
Domain installation still in progress.
Waiting for installation to complete.


Alex.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum